## org.flexdock.plaf.theme.eclipse2
Class EclipseGradientPainter

    java.lang.Object
      org.flexdock.plaf.resources.paint.DefaultPainter
          org.flexdock.plaf.theme.eclipse2.EclipseGradientPainter

All Implemented Interfaces:
  Painter

    public class EclipseGradientPainter

extends DefaultPainter

Author:
  Claudio Romano

Field Summary

Fields inherited from class org.flexdock.plaf.resources.paint.DefaultPainter
`DEFAULT_BG_COLOR, DEFAULT_BG_COLOR_ACTIVE, painterResource`

Constructor Summary
`EclipseGradientPainter()`

Method Summary
`void` `paint(java.awt.Graphics g, int width, int height, boolean active, javax.swing.JComponent titlebar)`

Methods inherited from class org.flexdock.plaf.resources.paint.DefaultPainter
`getBackgroundColor, getBackgroundColorActive, getBackgroundColorInactive, getPainterResource, setPainterResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipseGradientPainter

    public EclipseGradientPainter()

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      int width,
                      int height,
                      boolean active,
                      javax.swing.JComponent titlebar)

  Specified by:
    `paint` in interface `Painter`
  Overrides:
    `paint` in class `DefaultPainter`